﻿using Infragistics.Win.UltraWinTree;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TreeNodeTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            UltraTreeNode BatchNode = new UltraTreeNode("0", "Batch");
            ultraTree1.Nodes.Add(BatchNode);


            for (int i = 1; i < 2000; i++)
            {
                UltraTreeNode node = new UltraTreeNode(i.ToString(), "Node_"+i.ToString());


                ultraTree1.Nodes[0].Nodes.Add(node);
            }
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
                       

            UltraTreeNode lNode = new UltraTreeNode("XXX", "NewDocument");

            ultraTree1.SelectedNodes[0].Parent.Nodes.Add(lNode);

            UltraTreeNode lMediaNodeParentNode = ultraTree1.SelectedNodes[0].Parent;
            int lIndexOf = lMediaNodeParentNode.Nodes.IndexOf(ultraTree1.SelectedNodes[0]);


            //move nodes
            while (lIndexOf < lMediaNodeParentNode.Nodes.Count-1)
            {          
                    lMediaNodeParentNode.Nodes[lIndexOf].Reposition(lNode.Nodes);
            }

        }

    }
}
